Filter
Keywords: uk.ac.ic.doc.automed.matching.Filter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class Filter

    java.lang.Object
      uk.ac.ic.doc.automed.matching.Filter

    public class Filter

extends java.lang.Object

The class that represents the Filter component in the schema matching architecture. Its role is to filter out the incompatible pairs of schema elements from the compatible ones, based on the results of the modules attached to the filter.

See Also:
  `AbstractModule`, `SimilarSchemaElementPair`

Constructor Summary
`Filter(SchemaElement[] elems1, SchemaElement[] elems2)` Constructs the `Filter`.
`Filter(SchemaElementPair[] pairs)` Constructs the `Filter`.

Method Summary
`void` | `addModule(AbstractModule module)` Appends the specified module to the list of modules of this `Filter` object.
`SimilarSchemaElementPair[]` | `getAllPairs()` Returns an array of all schema element pairs, compatible and incompatible.
`SimilarSchemaElementPair[]` | `getCompatibles(double threshold)` Returns an array of `SimilarSchemaElementPair` objects that define compatible pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter(SchemaElement[] elems1,
                  SchemaElement[] elems2)
           throws UninstantiatedException

  Constructs the `Filter`. Only the pairs of elements defined by the input arrays are going to be examined.

  Parameters:
    `elems1` - the first array of schema elements
    `elems2` - the second array of schema elements
  Throws:
    `UninstantiatedException` - if an input array doesn't contain any elements

### Filter

    public Filter(SchemaElementPair[] pairs)
           throws UninstantiatedException

  Constructs the `Filter`. Only the pairs of elements defined are going to be examined.

  Parameters:
    `pairs` - the array of schema element pairs
  Throws:
    `UninstantiatedException` - if the input array doesn't contain any pairs

Method Detail

### addModule

    public void addModule(AbstractModule module)

  Appends the specified module to the list of modules of this `Filter` object.

  Parameters:
    `module` - the module to be appended

### getCompatibles

    public SimilarSchemaElementPair[] getCompatibles(double threshold)

  Returns an array of `SimilarSchemaElementPair` objects that define compatible pairs. The specified threshold defines the compatible pairs. A pair of schema elements in order to be compatible it must have average bidirectional degree over the specified threshold, `BidirectionalDegree.overFunction(double)`.

  Parameters:
    `threshold` - the compatibility threshold
  Returns:
    an array of `SimilarSchemaElementPair` objects that define compatible pairs.

### getAllPairs

    public SimilarSchemaElementPair[] getAllPairs()

  Returns an array of all schema element pairs, compatible and incompatible.

  Returns:
    an array of compatible and incompatible schema element pairs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD